The uuagc package

[Tags:bsd3, library, program]

Generates Haskell files from an attribute grammar specification


[Skip to Readme]

Properties

Versions 0.9.5, 0.9.6, 0.9.7, 0.9.10, 0.9.11, 0.9.12, 0.9.13, 0.9.14, 0.9.15, 0.9.16, 0.9.17, 0.9.18, 0.9.19, 0.9.20, 0.9.21, 0.9.23, 0.9.24, 0.9.26, 0.9.27, 0.9.28, 0.9.29, 0.9.30, 0.9.31, 0.9.32, 0.9.33, 0.9.34, 0.9.35, 0.9.36, 0.9.37.0, 0.9.37.1, 0.9.37.2, 0.9.38.0, 0.9.38.1, 0.9.38.3, 0.9.38.4, 0.9.38.5, 0.9.38.6, 0.9.39.0, 0.9.39.1, 0.9.39.3, 0.9.40.1, 0.9.40.2, 0.9.40.3, 0.9.42.0, 0.9.42.1, 0.9.42.2, 0.9.42.3, 0.9.50, 0.9.50.1, 0.9.50.2, 0.9.51, 0.9.52, 0.9.52.1
Dependencies array (>=0.3.0.1), base (==4.*), containers (>=0.3), directory (>=1.0.1.1), filepath (>=1.1.0.4), ghc-prim (>=0.2.0.0), haskell-src-exts (>=1.11.1), mtl (>=1.1.1.1), uuagc (==0.9.50.1), uuagc-cabal (>=1.0.2.0), uulib (>=0.9.14) [details]
License BSD3
Copyright Universiteit Utrecht
Author Software Technology at Universiteit Utrecht
Maintainer Jeroen Bransen <J.Bransen@uu.nl>
Stability Stable
Category Development
Home page http://www.cs.uu.nl/wiki/HUT/WebHome
Bug tracker hut-developers@cs.uu.nl
Uploaded Thu Dec 19 17:25:10 UTC 2013 by JeroenBransen
Distributions Debian:0.9.42.3, FreeBSD:0.9.52.1, NixOS:0.9.52.1
Downloads 13150 total (91 in the last 30 days)
Votes
0 []
Status Docs available [build log]
Successful builds reported [all 1 reports]

Modules

[Index]

Flags

NameDescriptionDefaultType
bootstrap_externalUse an external uuagc executable for bootstrappingDisabledManual

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainer's Corner

For package maintainers and hackage trustees

Readme for uuagc

Readme for uuagc-0.9.50.1

To install UUAG, use cabal in combination with Setup.hs

By default, "cabal install" will install UUAGC from the
included Haskell sources. To build from the AG sources
using an existing uuagc installation, use:

cabal install --ghc-options="-DEXTERNAL_UUAGC"

Note: to produce a source release, you'll need to use the
Setup.hs because cabal-install at the time is not able to
do this in combination with the cabal plugin:

--
cabal clean    # remove possible junk
ghc --make Setup.hs -o setup
./setup configure --user
./setup build
./setup sdist
--